Bug 1286086 - DHT - while renaming file, got 'Remote I/O error' (all bricks where up and peers are in connected state) [NEEDINFO]
DHT - while renaming file, got 'Remote I/O error' (all bricks where up and pe...
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nithya Balachandran
Prasad Desala
dht-rename-file, dht-fixed
: ZStream
Depends On: 969403 1144432
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 05:42 EST by Susant Kumar Palai
Modified: 2017-11-16 13:09 EST (History)
10 users (show)

See Also:
Fixed In Version: 3.7.9-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 969403
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nbalacha: needinfo? (tdesala)


Attachments (Terms of Use)

  None (edit)
Comment 2 Raghavendra G 2016-06-28 05:25:36 EDT
Probably a duplicate of bz 1144432?
Comment 3 Prasad Desala 2016-09-19 00:54:57 EDT
This issue still exists with glusterfs version 3.7.9-12.el7rhgs.x86_64.
File rename is failing with  'Remote I/O error'  when files were renamed simultaneously from two different client nfs mounts.

Moving this bug to Assigned.
Comment 6 Nithya Balachandran 2017-08-22 02:27:29 EDT
(In reply to Prasad Desala from comment #3)
> This issue still exists with glusterfs version 3.7.9-12.el7rhgs.x86_64.
> File rename is failing with  'Remote I/O error'  when files were renamed
> simultaneously from two different client nfs mounts.
> 
> Moving this bug to Assigned.

This is a different test case from that in the original bug description. That was talking abt a remove brick and a single mount point. Please file separate BZs for different test cases.

Note You need to log in before you can comment on or make changes to this bug.